
void SysTick_Handler() {
	trace_printf(".");
}

int delay() {
	volatile int j = 0;
	for (int i = 0; i< 20000000; i++)
		j++;
	return j;
}

void systick_init() {
	// highest priority
	NVIC_SetPriority(SysTick_IRQn, 0);
	SysTick->CTRL = (1 << 2) | (1 << 1) | (1 << 0);

	// max reload value, 24 bit timer
	SysTick->LOAD = (1 << 24) - 1;

	// set counter to 0, and reset countflag
	SysTick->VAL  = 0;
	NVIC_EnableIRQ(SysTick_IRQn);
}
