/*
 * RTFM_RSP.h
 *
 * Per Lindgren (c) 2013/2014
 *
 * Kernel primitives for the ARM Cortex M0 Architecture
 * Assuming c-code definitions
 * J_Code 	 	c-code for job J
 * R_Ceiling	resource ceiling for R
*/

#define Ceiling(R)		(R##_Ceiling)
#define Code(J)			(J##_Code)
#define IRQn(J) 		(J##_IRQn)
#define H(X)			((1 << __NVIC_PRIO_BITS)-X)
#define IRQh(J) 		(J##_IRQh)

#define BARRIER_LOCK 	{ ; }
#define BARRIER_UNLOCK 	{ ; }
#define JOB_REQUEST(J)	{ TASK(J); }
//#define SYNC(J)			{ IRQh(J) }

#define LOCK(R) { ; }

#define UNLOCK(R) { ; }

#define SETPRIO(J)		{ ; }
#define ENABLE(J)		{ ; }

#define TASK(J)			void IRQh(J) ()

#define BREAKPOINT      { asm volatile("" ::: "memory"); }

