/*
 * =====================================================================================
 *
 *       Filename:  swo.c
 *
 *    Description:  
 *
 *        Version:  1.0
 *        Created:  11/23/2016 12:31:20 AM
 *       Revision:  none
 *       Compiler:  gcc
 *
 *         Author:  Henrik Tjäder (AfoHT), henrik@tjaders.com
 *   Organization:  
 *
 * =====================================================================================
 */
#include <swo.h>


/*#include "stm32f7xx_hal.h"*/

#pragma GCC diagnostic ignored "-Wunused-parameter"

extern int errno;
extern int __attribute__((weak)) __io_putchar(int ch);
extern int __attribute__((weak)) __io_getchar(void);

volatile int32_t ITM_RxBuffer;

int __io_putchar(int ch)
{
    return ITM_SendChar(ch);
}

int __io_getchar(void)
{
    return ITM_ReceiveChar();
}


int _write(int fd, const void *buffer, unsigned int count)
{
    unsigned int i;

    for (i = 0; i < count; i++) {
        __io_putchar(((char *)buffer)[i]);
    }

    return count;
}

int _read(int fd, void *buffer, unsigned int count)
{
    unsigned int i;

    for (i = 0; i < count; i++) {
        ((char *)buffer)[i] = __io_getchar();
    }

    return count;
}

int _close(int fd)
{
    return -1;
}

int _fstat(int fd, void *buffer)
{
    return -1;
}

int _isatty(int fd)
{
    return -1;
}

long _lseek(int fd, long offset, int origin)
{
    return -1;
}

void _exit(int status)
{
}
